#
# spec file for package onyx (Version 2.49)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp tcl tcl-devel termcap tk xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl tcl-devel termcap texinfo textutils timezone tk unzip util-linux vim xdevel xf86 xshared

Name:         onyx
Copyright:    GPL
Group:        Development/Tools 
Autoreqprov:  on
Version:      2.49
Release:      250
Summary:      4GL-Engine
Url:          ftp://ftp.gwdg.de/pub/linux/databases/onyx/Onyx/
Source:       Onyx.%{version}.src.tar.bz2
Source1:      Onyx.%{version}.exampl.tar.bz2
Patch:        onyx.dif
Patch1:       onyx-ia64.dif
BuildRoot:    /var/tmp/%{name}-build

%description
The main goal in the development of Onyx was to create a tool for the
fast development of database applications. The main idea is that all
application are build in a similar way. Internal tables are used to
store the data, and masks are used to view and change the data
Transactions define the connection of the internal data with the
rest of the world.

Authors:
--------
    Michael Kraehe <kraehe@bakunin.north.de>

SuSE series: ap

%prep
%setup -n onyx
%patch
%patch1

%build
make
make -C target/* all
make -C doc

%install
rm -rf $RPM_BUILD_ROOT
cp %{S:1} .
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/onyx
cp -av target/*/lib/ scripts/ $RPM_BUILD_ROOT/usr/lib/onyx
rm target/*/bin/gsql
install -m 755 -d $RPM_BUILD_ROOT/usr/bin
install -m 755 target/*/bin/* $RPM_BUILD_ROOT/usr/bin
(cd $RPM_BUILD_ROOT/usr/bin; ln -sf gsqld gsql)
install -m 755 -d $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 doc/*.man $RPM_BUILD_ROOT%{_mandir}/man1/
cd $RPM_BUILD_ROOT%{_mandir}/man1
for i in *
do
mv $i ${i%man}1
done

%files
%defattr(-,root,root)
%doc FLYER INSTALL doc/*.txt doc/*.html doc/*.Header doc/*.German Onyx.%{version}.exampl.tar.bz2
/usr/lib/onyx
/usr/bin/*
%doc %{_mandir}/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n onyx
* Tue Jun 05 2001 - schwab@suse.de
- Make Parser::message a varargs function and remove broken casts.
- Fix types for 64bit platforms.
* Thu May 24 2001 - cihlar@suse.cz
- fixed cast warnings on ia64
- fixed includes
* Thu Apr 05 2001 - cihlar@suse.cz
- fixed to compile on axp
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Wed Nov 22 2000 - cihlar@suse.cz
- bzipped sources
- added examples to documentation
* Thu Nov 09 2000 - ro@suse.de
- added Onyx.%%{version}.exampl.tgz as Source1
* Thu Nov 09 2000 - cihlar@suse.cz
- fixed copyright tag
- clean up spec file
* Mon May 22 2000 - cihlar@suse.cz
- fixed to compile with Tcl/Tk 8.3
* Wed May 17 2000 - cihlar@suse.cz
- Group sorted
- /usr/share/doc instead of /usr/doc/
* Fri Mar 24 2000 - cihlar@suse.cz
- upgrade to version 2.49
- added BuildRoot
* Tue Feb 01 2000 - fehr@suse.de
- changes for work with new gcc 2.95.2
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Nov 23 1998 - ro@suse.de
- used cast to (void*) to avoid strict typecheck
* Thu Sep 10 1998 - fehr@suse.de
- fix possible /tmp-exploits in scripts
* Mon Nov 17 1997 - ro@suse.de
- changed headlines /home/onyx/bin/onyx to /usr/bin/onyx
* Wed Oct 08 1997 - fehr@suse.de
- prepare for automatic build of package
